Name: bzip2
Version: 1.0.6
Release: 13
License: BSD
Summary: zlib
Url: http://www.bzip.org

BuildRequires: ibm-build-tools
BuildRequires: libmpc-aix

Source0: http://www.bzip.org/%{version}/bzip2-%{version}.tar.gz

Patch0: bzip2-Makefile.patch

%description
bzip2 is a freely available, patent free, high-quality data compressor. It typically compresses files to within 10% to 15% of the best available techniques (the PPM family of statistical compressors), whilst being around twice as fast at compression and six times faster at decompression.

%package -n libbz2-1
Summary: bzip2 library

%description -n libbz2-1
bzip2 is a freely available, patent free, high-quality data compressor. It typically compresses files to within 10% to 15% of the best available techniques (the PPM family of statistical compressors), whilst being around twice as fast at compression and six times faster at decompression.

%package devel
Summary: bzip2 development files
Requires: libbz2-1 = %{version}

%description devel
bzip2 is a freely available, patent free, high-quality data compressor. It typically compresses files to within 10% to 15% of the best available techniques (the PPM family of statistical compressors), whilst being around twice as fast at compression and six times faster at decompression.

%prep
%setup -q

%patch0 -p1

perl -p -i -e 's|#!/bin/sh|#!/QOpenSys/usr/bin/sh|g' bzdiff bzgrep bzmore


%build

MAKE=`which make`

# generate a script to wrap the make call
# with all the parameters that we need
cat > _make <<EOF
#!/usr/bin/env bash

#   CFLAGS='-Wall -Winline -O2 -g -fPIC -D_FILE_OFFSET_BITS=64'
$MAKE \
  PREFIX=%{_prefix} \
  DESTDIR=%{buildroot} \
  LIB=%{_lib} \
  CC="gcc -maix${OBJECT_MODE}" \
  LDFLAGS='-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}' \
  "\$@"
EOF

chmod +x _make

./_make all

name=libbz2.so.1
soname=libbz2.so.1

svr4-shrlib $name $soname %{_arch}

./_make all

%install

./_make install

rm %{buildroot}/%{_libdir}/libbz2.a

mkdir %{buildroot}/%{_datadir} 
mv %{buildroot}/%{_prefix}/man %{buildroot}/%{_mandir}

# Change copies to hard links
cd %{buildroot}%{_bindir}
for f in bunzip2 bzcat bzip2recover
do
  rm $f
  ln bzip2 $f
done

for f in bzegrep bzfgrep
do
  rm $f
  ln bzgrep $f
done

rm bzless
ln bzmore bzless

rm bzcmp
ln bzdiff bzcmp

%files
%defattr(-, qsys, *none)

%{_mandir}/man1/bzegrep.1
%{_mandir}/man1/bzcmp.1
%{_mandir}/man1/bzip2.1
%{_mandir}/man1/bzmore.1
%{_mandir}/man1/bzdiff.1
%{_mandir}/man1/bzgrep.1
%{_mandir}/man1/bzfgrep.1
%{_mandir}/man1/bzless.1
%{_bindir}/bzcat
%{_bindir}/bzmore
%{_bindir}/bzegrep
%{_bindir}/bzip2
%{_bindir}/bzless
%{_bindir}/bzdiff
%{_bindir}/bzgrep
%{_bindir}/bzcmp
%{_bindir}/bzfgrep
%{_bindir}/bunzip2
%{_bindir}/bzip2recover


%files -n libbz2-1
%defattr(-, qsys, *none)

%{_libdir}/libbz2.so.1


%files devel
%defattr(-, qsys, *none)

%{_libdir}/libbz2.so
%{_includedir}/bzlib.h


%changelog

